
function [data1New,data2New,data3New,data4New,data5New] = cutData(data1,data2,data3,data4,data5)
%% CUTDATA -
%  function that cuts all data to same length as data set with shortest
%  time array
%
% All data should be structured as variable

%% find last index shortest time array
iStart = 1;

if nargin == 3
    index = min([length(data1.time) length(data2.time) length(data3.time)]);
elseif nargin ==5
    index = min([length(data1.time) length(data2.time) length(data3.time) length(data4.time) length(data5.time)]);
else
    error('Incorrect nr of input arguments')
end


% obtain structure field names
structFields1 = fieldnames(data1);
structFields2 = fieldnames(data2);
structFields3 = fieldnames(data3);

% cut data 1
for i = 1:length(structFields1);
    x = getfield(data1,structFields1{i});
    if size(x,1)<index-iStart
    else
        x = x(iStart:index,:);
        data1 = setfield(data1,structFields1{i},x);
        data1.time = data1.time-data1.time(1);
    end
end


% cut data 2

for i = 1:length(structFields2)
    x = getfield(data2,structFields2{i});
    if size(x,1)<index-iStart
    else
        x = x(iStart:index,:);
        data2 = setfield(data2,structFields2{i},x);
        data2.time = data2.time-data2.time(1);
    end
end


% cut data 1

for i = 1:length(structFields3)
    x = getfield(data3,structFields3{i});
    if size(x,1)<index-iStart
    else
        x = x(iStart:index,:);
        data3 = setfield(data3,structFields3{i},x);
        data3.time = data3.time-data3.time(1);
    end
end

if nargin ==5
    structFields4 = fieldnames(data4);
    structFields5 = fieldnames(data5);
    
    for i = 1:length(structFields4)
        x = getfield(data4,structFields4{i});
        if size(x,1)<index-iStart
        else
            x = x(iStart:index,:);
            data4 = setfield(data4,structFields4{i},x);
            data4.time = data4.time-data4.time(1);
        end
    end
    
    for i = 1:length(structFields5)
        x = getfield(data5,structFields5{i});
        if size(x,1)<index-iStart
        else
            x = x(iStart:index,:);
            data5 = setfield(data5,structFields5{i},x);
            data5.time = data5.time-data5.time(1);
        end
    end
    
    % assign variables
    data4New=data4;
    data5New=data5;
end

% assign variables
data1New=data1;
data2New=data2;
data3New=data3;